%define upstream_name    Moo
%define upstream_version 0.009013

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Efficient generation of subroutines via string eval
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers) >= 1.70.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strictures) >= 1.1.1
BuildArch:  noarch

%description
This module is an extremely light-weight, high-performance the Moose
manpage replacement. It also avoids depending on any XS modules to allow
simple deployments. The name 'Moo' is based on the idea that it provides
almost -but not quite- two thirds of the Moose manpage.

Unlike 'Mouse' this module does not aim at full the Moose manpage
compatibility. See the /INCOMPATIBILITIES manpage for more details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Jan 04 2012 jquelin <jquelin> 0.9.13-1.mga2
+ Revision: 190328
- update to 0.009013

* Wed Nov 16 2011 takashi <takashi> 0.9.12-1.mga2
+ Revision: 168092
- update to 0.009012

* Thu Oct 13 2011 jquelin <jquelin> 0.9.11-1.mga2
+ Revision: 154346
- update to 0.009011

  + kharec <kharec>
    - update to 0.009010

* Fri Jun 17 2011 jquelin <jquelin> 0.9.8-1.mga2
+ Revision: 109105
- imported package perl-Moo


* Fri Jun 17 2011 cpan2dist 0.009008-1mga
- initial mageia release, generated with cpan2dist
